.tool {
  border-radius: 16px;
  border: 2px solid #e6e6e6;
  background: #fff;
  box-shadow: 0 1px 6px rgba(0, 0, 0, 0.16);
}
.tool__head {
  border-top-left-radius: inherit;
  border-top-right-radius: inherit;
  padding: 24px 16px;
  border-bottom: 1px solid #e6e6e6;
  background: #F3F3F3;
  color: #7F952D;
  text-align: center;
  font-size: 22px;
  font-weight: 700;
  line-height: 30px;
  text-transform: uppercase;
}
.tool__body {
  padding: 24px 16px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.tool__form label {
  cursor: default;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  row-gap: 12px;
}
.tool__form label > span {
  display: inline-flex;
  align-items: center;
  gap: 4px;
  color: #404040;
  font-size: 16px;
  font-weight: 500;
  line-height: 22px;
}
.tool__form input:not([type=radio], [type=checkbox]) {
  width: 100%;
  outline: none;
  padding: 11px 24px;
  border-radius: 6px;
  border: 1px solid rgba(0, 0, 0, 0.12);
  background: #F9FAFA;
  color: #5E6166;
  font-family: inherit;
  font-size: 16px;
  line-height: 28px;
}
@media (any-hover: hover) {
  .tool__form input:not([type=radio], [type=checkbox]):not(.active):hover, .tool__form input:not([type=radio], [type=checkbox]):not(.active):focus {
    border-color: rgba(0, 0, 0, 0.24);
  }
}
.tool__tooltip-btn {
  cursor: pointer;
  outline: none;
  border: none;
  background: none;
  padding: 0;
  display: inline-flex;
}
.tool__reset {
  cursor: pointer;
  outline: none;
  border: none;
  padding: 12px 4px;
  border-radius: 4px;
  background: #F9FAFA;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  text-align: center;
  color: #5E6166;
  font-family: inherit;
  font-size: 13px;
  font-weight: 500;
  line-height: normal;
  text-transform: uppercase;
  transition: background 0.2s ease-in-out;
}
@media (any-hover: hover) {
  .tool__reset:not(:disabled):hover {
    background: #E6E6E6;
  }
  .tool__reset:not(:disabled):hover img {
    filter: brightness(0) invert(22%) sepia(0%) saturate(2%) hue-rotate(57deg) brightness(97%) contrast(88%);
  }
}
.tool__reset:disabled {
  cursor: not-allowed;
  background: #FCFCFC;
  color: #BFBFBF;
}
.tool__reset:disabled img {
  filter: brightness(0) invert(92%) sepia(0%) saturate(15%) hue-rotate(156deg) brightness(88%) contrast(79%);
}
.tool__cta {
  cursor: pointer;
  outline: none;
  border: none;
  border-radius: 6px;
  padding: 12px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  text-align: center;
  font-family: inherit;
  color: #5E6166;
  font-size: 13px;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
}
.tool__cta--primary {
  background: #C4DB11;
  color: #404040;
  transition: background 0.2s ease-in-out, color 0.2s ease-in-out;
}
@media (any-hover: hover) {
  .tool__cta--primary:not(:disabled):hover {
    background: #B4CA09;
    color: #0F0F0F;
  }
  .tool__cta--primary:not(:disabled):hover img {
    filter: brightness(0) invert(0%) sepia(36%) saturate(3711%) hue-rotate(142deg) brightness(106%) contrast(88%);
  }
}
.tool__cta--secondary {
  border: 2px solid #C4DB11;
  background: transparent;
  font-size: 14px;
  transition: border-color 0.2s ease-in-out, color 0.2s ease-in-out;
}
@media (any-hover: hover) {
  .tool__cta--secondary:not(:disabled):hover {
    border-color: #B4CA09;
    color: #404040;
  }
}
.tool__cta:disabled {
  pointer-events: none;
}

@media screen and (max-width: 767px) {
  .tool {
    margin-bottom: 40px;
  }
  .tool:has(+ .compare-casinos__results) {
    margin-bottom: 16px;
  }
  .tool__head {
    padding: 16px;
    font-size: 18px;
    line-height: 24px;
  }
  .tool__body {
    margin: 0 -2px;
  }
  .tool__form input:not([type=radio], [type=checkbox]) {
    padding: 11px 16px;
  }
}
.custom-select {
  position: relative;
  width: 100%;
}
.custom-select.active .custom-select__opener {
  border-color: rgba(0, 0, 0, 0.3);
}
.custom-select.active .custom-select__opener .icon-arrow-down {
  rotate: 180deg;
}
.custom-select.active .custom-select__popup-holder {
  display: block;
}
.custom-select__opener {
  cursor: pointer;
  width: inherit;
  padding: 11px 24px;
  border-radius: 6px;
  border: 1px solid rgba(0, 0, 0, 0.12);
  background: #F9FAFA;
  display: flex;
  align-items: center;
  gap: 10px;
  color: #5E6166;
  font-family: inherit;
  font-size: 16px;
  line-height: 28px;
  transition: border-color 0.2s ease-in-out;
}
.custom-select__opener span {
  font-size: inherit;
  font-weight: inherit;
  line-height: inherit;
}
@media (any-hover: hover) {
  .custom-select__opener:hover, .custom-select__opener:focus {
    border-color: rgba(0, 0, 0, 0.24);
  }
  .custom-select__opener:hover .icon-arrow-down, .custom-select__opener:focus .icon-arrow-down {
    rotate: 180deg;
  }
}
.custom-select__opener .icon-flag {
  width: 20px;
  height: 14px;
  border-radius: 2px;
  object-fit: cover;
}
.custom-select__opener .icon-arrow-down {
  width: 12px;
  height: 7px;
  margin-left: auto;
  filter: invert(36%) sepia(6%) saturate(372%) hue-rotate(179deg) brightness(100%) contrast(88%);
  transition: rotate 0.2s ease-in-out;
}

@media screen and (max-width: 767px) {
  .custom-select__opener {
    padding: 11px 16px;
  }
}
.calc-form {
  display: flex;
  flex-direction: column;
  row-gap: 16px;
}
.calc-form__row {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 10px;
}
.calc-form__radio {
  display: flex;
  align-items: center;
  gap: 8px;
}
.calc-form__radio.active * {
  pointer-events: all;
}
.calc-form__radio span {
  position: relative;
  flex-shrink: 0;
}
.calc-form__radio input[type=radio] {
  cursor: pointer;
  appearance: none;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
}
@media (any-hover: hover) {
  .calc-form__radio input[type=radio]:not(:checked):hover + label {
    background: rgba(196, 219, 17, 0.24);
    color: #5E6166;
  }
}
.calc-form__radio input[type=radio]:checked + label {
  padding-left: 36px;
  background: rgba(196, 219, 17, 0.24) url(/public/images/svg/icon-check-tpl.svg) no-repeat 16px center;
  background-size: 16px;
  color: #5E6166;
}
.calc-form__radio label {
  min-height: 44px;
  padding: 12px 16px;
  display: flex;
  align-items: center;
  border-radius: 6px;
  background: #F9FAFA;
  background-position: 16px center;
  background-repeat: no-repeat;
  background-size: 16px;
  color: #757575;
  text-align: center;
  font-size: 15px;
  line-height: normal;
  transition: background 0.2s ease-in-out, color 0.2s ease-in-out, padding-left 0.2s ease-in-out;
}

@media screen and (max-width: 767px) {
  .calc-form label span {
    font-size: 13px;
  }
  .calc-form input:not([type=radio], [type=checkbox]),
  .calc-form .js-currency-selector {
    padding: 11px 16px;
    font-size: 15px;
  }
  .calc-form__radio {
    margin-right: -10px;
    padding-right: 10px;
  }
}
.roulette-calculator-form label > span {
  font-weight: 700;
}
.roulette-calculator-form__setting label {
  flex-direction: row;
  align-items: center;
  justify-content: center;
  column-gap: 32px;
}
.roulette-calculator-form__setting .roulette-calculator-setting-select {
  max-width: 250px;
}
.roulette-calculator-form__setting .roulette-calculator-setting-select .custom-select__opener {
  padding: 11px 12px;
  font-size: 14px;
  line-height: normal;
}
.roulette-calculator-form__setting .roulette-calculator-setting-select .custom-select__opener span {
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.roulette-calculator-form__setting input#roulette-profit {
  padding: 11px 12px;
  font-size: 14px;
  line-height: normal;
}
.roulette-calculator-form:has(.roulette-calculator-form__bet-select) .roulette-calculator-form__actions {
  margin-top: 8px;
}
.roulette-calculator-form__actions {
  margin-top: 16px;
  display: grid;
  grid-template-columns: repeat(2, 110px);
  align-items: center;
  justify-content: center;
  gap: 24px;
}
.roulette-calculator-form__action {
  cursor: pointer;
  padding: 12px 8px;
  border-radius: 4px;
  border: 0.5px solid #A3A3A3;
  outline: 1.5px solid transparent;
  background: #F3F3F3;
  min-height: 48px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  color: #5E6166;
  text-align: center;
  font-family: inherit;
  font-size: 13px;
  font-weight: 500;
  line-height: normal;
  text-transform: uppercase;
  transition: background 0.2s ease-in-out, outline 0.2s ease-in-out, opacity 0.2s ease-in-out;
}
.roulette-calculator-form__action:disabled {
  opacity: 0.5;
  pointer-events: none;
}
@media (any-hover: hover) {
  .roulette-calculator-form__action:hover {
    outline-color: #A3A3A3;
    background: #e6e6e6;
  }
}
.roulette-calculator-form__roulette {
  padding: 16px;
  border-radius: 8px;
  background: #0F7C48;
  display: flex;
  position: relative;
}
.roulette-calculator-form__roulette picture {
  display: flex;
  flex: 1;
}
.roulette-calculator-form__roulette picture img {
  max-width: 100%;
}
.roulette-calculator-form__roulette[data-type=martingale] {
  background: unset;
}
.roulette-calculator-form__roulette[data-type=martingale] picture {
  justify-content: center;
  align-items: center;
}

@media screen and (max-width: 940px) {
  .roulette-calculator-form__roulette picture img {
    height: auto;
  }
}
@media screen and (max-width: 767px) {
  .roulette-calculator-form label > span {
    font-size: 15px;
    line-height: normal;
  }
  .roulette-calculator-form__setting label {
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
  }
  .roulette-calculator-form__setting .roulette-calculator-setting-select {
    max-width: 100%;
  }
  .roulette-calculator-form__setting .roulette-calculator-setting-select .custom-select__opener {
    padding: 10px 12px;
    font-size: 13px;
  }
  .roulette-calculator-form__setting input#roulette-profit {
    padding: 10px 12px;
    font-size: 13px;
  }
  .roulette-calculator-form__roulette {
    margin-top: -4px;
    padding: 12px 8px;
  }
  .roulette-calculator-form__roulette picture img {
    width: 100%;
  }
  .roulette-calculator-form__roulette[data-type=martingale] picture img {
    width: unset;
  }
}
.summary p {
  margin: 0;
  margin-bottom: 12px;
  color: #404040;
  font-size: 16px;
  font-weight: 700;
  line-height: normal;
}
.summary__table {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  border-radius: 6px;
  border: 1px solid #e6e6e6;
}
.summary__col + .summary__col {
  border-left: 1px solid #e6e6e6;
}
.summary__col fieldset + fieldset {
  border-top: 1px solid #e6e6e6;
}
.summary fieldset {
  padding: 12px 0;
  margin: 0 32px;
  display: flex;
}
.summary label {
  flex: 1;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  column-gap: 8px;
}
.summary label > span {
  font-size: 14px;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
}
.summary label strong {
  color: #5E6166;
  font-size: 24px;
  line-height: 26px;
}

@media screen and (max-width: 767px) {
  .summary p {
    font-size: 15px;
  }
  .summary__table {
    grid-template-columns: 1fr;
  }
  .summary__col {
    margin: 0 12px;
  }
  .summary__col + .summary__col {
    border-left: none;
    border-top: 1px solid #e6e6e6;
  }
  .summary fieldset {
    padding: 8px 0;
    margin: 0;
  }
  .summary label {
    column-gap: 4px;
  }
  .summary label > span {
    font-size: 13px;
  }
  .summary label strong {
    font-size: 22px;
  }
}
.bets {
  width: 100%;
  overflow: hidden;
  border-radius: 6px;
  border: 1px solid #e6e6e6;
  text-align: center;
  font-size: 14px;
  line-height: normal;
}
.bets__head {
  padding: 12px 24px;
  border-bottom: 1px solid #e6e6e6;
  background: #F9FAFA;
  display: grid;
  justify-content: space-between;
  font-weight: 700;
}
.bets__wrap {
  padding: 16px 24px;
  background: #fff;
  height: 330px;
  overflow-y: auto;
  scrollbar-width: none;
}
.bets__wrap::-webkit-scrollbar {
  display: none;
}
.bets__list-item {
  padding: 12px 0;
  display: grid;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #e6e6e6;
}
.bets__list-item:first-child {
  padding-top: 0;
}
.bets__list-item:last-child {
  border-bottom: none;
  padding-bottom: 0;
}
.bets__preloader {
  padding-top: 12px;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  row-gap: 24px;
  text-align: center;
  color: #BFBFBF;
  font-size: 28px;
  font-weight: 500;
  line-height: normal;
}

@media screen and (max-width: 767px) {
  .bets {
    font-size: 12px;
  }
  .bets__head {
    padding: 8px 12px;
    font-weight: 600;
  }
  .bets__head span {
    font-size: 0 !important;
  }
  .bets__head span::after {
    content: attr(data-mobile);
    font-size: 12px;
  }
  .bets__wrap {
    padding: 8px 12px;
    height: 320px;
  }
  .bets__list-item {
    padding: 12px 0;
  }
  .bets__preloader {
    padding-top: 8px;
    font-size: 16px;
  }
  .bets__preloader img {
    width: 104px;
    height: 104px;
  }
}
.bet-select {
  margin-top: 8px;
}
.bet-select__wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
}
.bet-select__heading {
  margin: 0;
  margin-bottom: 12px;
  color: #404040;
  font-size: 16px;
  font-weight: 700;
  line-height: normal;
  text-align: center;
}
.bet-select label {
  padding: 6px 4px;
  display: flex;
  align-items: center;
  gap: 0;
  position: relative;
}
.bet-select label input[type=radio] {
  cursor: pointer;
  appearance: none;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 1;
  margin: 0;
}
@media (any-hover: hover) {
  .bet-select label input[type=radio]:not(:checked):hover + img {
    outline-color: rgba(180, 202, 9, 0.5);
  }
}
.bet-select label input[type=radio]:checked {
  pointer-events: none;
}
.bet-select label input[type=radio]:checked + img {
  outline-color: #B4CA09;
}
.bet-select label img {
  border-radius: 50%;
  outline: 2px solid transparent;
  transition: outline-color 0.2s ease-in-out;
}

@media screen and (max-width: 767px) {
  .bet-select__wrapper {
    gap: 12px;
  }
  .bet-select__heading {
    font-size: 15px;
    text-align: start;
  }
  .bet-select label img {
    width: 30px;
    height: 30px;
  }
}
@media screen and (max-width: 375px) {
  .bet-select {
    position: relative;
  }
  .bet-select__wrapper {
    justify-content: flex-start;
    padding-right: 30px;
  }
  .bet-select__wrapper::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    user-select: none;
    display: block;
    width: 30px;
    height: 100%;
    background: linear-gradient(270deg, #F9FAFA 0%, rgba(249, 250, 250, 0) 100%);
  }
}
.placed-bets__inner {
  overflow: hidden;
}
.placed-bets__head {
  padding: 12px 64px;
  border-bottom: 1px solid #e6e6e6;
  background: #F9FAFA;
  display: grid;
  grid-template-columns: 200px 90px;
  justify-content: space-between;
  font-weight: 700;
}
.placed-bets__list {
  margin: 0;
  padding: 16px 24px;
  background: #fff;
  max-height: 330px;
  overflow-y: auto;
  scrollbar-width: none;
}
.placed-bets__list::-webkit-scrollbar {
  display: none;
}
.placed-bets__list li {
  padding: 12px 40px;
  display: grid;
  grid-template-columns: 200px 90px;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #e6e6e6;
}
.placed-bets__list li:first-child {
  padding-top: 0;
}
.placed-bets__list li:last-child {
  border-bottom: none;
  padding-bottom: 0;
}

@media screen and (max-width: 767px) {
  .placed-bets__head {
    padding: 8px 24px;
    grid-template-columns: 1fr 50px;
  }
  .placed-bets__head span {
    font-size: 0 !important;
  }
  .placed-bets__head span::after {
    content: attr(data-mobile);
    font-size: 12px;
  }
  .placed-bets__head span:first-child {
    text-align: start;
  }
  .placed-bets__list {
    padding: 8px 24px;
    max-height: 300px;
  }
  .placed-bets__list li {
    padding: 12px 0;
    grid-template-columns: 1fr 50px;
  }
  .placed-bets__list li span:first-child {
    text-align: start;
  }
}
.roulette-calculator .tool__body {
  padding-bottom: 16px;
}
.roulette-calculator .roulette-calculator-form__roulette {
  margin-bottom: 16px;
}
.roulette-calculator .roulette-calculator-form__summary {
  margin-bottom: 16px;
}
.roulette-calculator .roulette-calculator-form .up {
  color: #4BBC50;
}
.roulette-calculator .roulette-calculator-form .down {
  color: #E43D43;
}

@media screen and (max-width: 767px) {
  .roulette-calculator .tool__body {
    padding: 16px 8px 8px;
  }
  .roulette-calculator .roulette-calculator-form__roulette {
    margin-bottom: 8px;
    -webkit-tap-highlight-color: transparent;
  }
  .roulette-calculator .roulette-calculator-form__summary {
    margin-bottom: 8px;
  }
}
.roulette-calculator--strategy .roulette-calculator-form__setting label,
.roulette-calculator--martingale .roulette-calculator-form__setting label {
  display: grid;
  grid-template-columns: 220px 250px;
  column-gap: 12px;
}
.roulette-calculator--strategy .roulette-calculator-form__setting + .roulette-calculator--strategy .roulette-calculator-form__setting,
.roulette-calculator--strategy .roulette-calculator-form__setting + .roulette-calculator--martingale .roulette-calculator-form__setting,
.roulette-calculator--martingale .roulette-calculator-form__setting + .roulette-calculator--strategy .roulette-calculator-form__setting,
.roulette-calculator--martingale .roulette-calculator-form__setting + .roulette-calculator--martingale .roulette-calculator-form__setting {
  margin-top: 8px;
}
.roulette-calculator--strategy .roulette-calculator-form__roulette,
.roulette-calculator--martingale .roulette-calculator-form__roulette {
  margin-bottom: 0;
}
.roulette-calculator--strategy .roulette-calculator-form__test,
.roulette-calculator--martingale .roulette-calculator-form__test {
  width: min(220px, 100%);
  height: 48px;
  margin: 0 auto;
  cursor: pointer;
  outline: none;
  border: none;
  padding: 12px;
  border-radius: 6px;
  background: #C4DB11;
  flex: 1;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #404040;
  font-family: inherit;
  font-size: 20px;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
  transition: background 0.2s ease-in-out;
}
@media (any-hover: hover) {
  .roulette-calculator--strategy .roulette-calculator-form__test:hover,
  .roulette-calculator--martingale .roulette-calculator-form__test:hover {
    background: #B4CA09;
  }
}
.roulette-calculator--strategy .roulette-calculator-form__error,
.roulette-calculator--martingale .roulette-calculator-form__error {
  margin: 0;
  margin-top: -8px;
  color: #E43D43;
  font-size: 12px;
  font-weight: 400;
  line-height: normal;
  text-align: center;
}
.roulette-calculator--strategy .roulette-calculator-form__balance-trend,
.roulette-calculator--martingale .roulette-calculator-form__balance-trend {
  margin-bottom: 16px;
  border-radius: 6px;
  background: #F9FAFA;
  display: flex;
  width: 100%;
  height: 434px;
  position: relative;
}
.roulette-calculator--strategy .roulette-calculator-form__balance-trend #balance-trend,
.roulette-calculator--martingale .roulette-calculator-form__balance-trend #balance-trend {
  flex: 1;
}
.roulette-calculator--strategy .roulette-calculator-form__balance-trend em,
.roulette-calculator--martingale .roulette-calculator-form__balance-trend em {
  display: none;
  position: absolute;
  top: 12px;
  left: 12px;
  user-select: none;
  color: #404040;
  font-size: 14px;
  line-height: normal;
}
.roulette-calculator--strategy .bet-select,
.roulette-calculator--martingale .bet-select {
  margin-bottom: 8px;
}
.roulette-calculator--strategy .summary,
.roulette-calculator--martingale .summary {
  margin-top: 16px;
}
.roulette-calculator--strategy .summary label:has(strong:nth-child(2)) span,
.roulette-calculator--martingale .summary label:has(strong:nth-child(2)) span {
  margin-right: auto;
}
.roulette-calculator--strategy .summary label:has(strong:nth-child(2)) strong,
.roulette-calculator--martingale .summary label:has(strong:nth-child(2)) strong {
  min-width: 75px;
  text-align: center;
  font-size: 20px;
}
.roulette-calculator--strategy .coverage,
.roulette-calculator--martingale .coverage {
  margin-bottom: 16px;
}
.roulette-calculator--strategy .bets--result-per-spin .bets__head,
.roulette-calculator--strategy .bets--result-per-spin .bets__list-item,
.roulette-calculator--martingale .bets--result-per-spin .bets__head,
.roulette-calculator--martingale .bets--result-per-spin .bets__list-item {
  grid-template-columns: minmax(40px, 60px) minmax(44px, 90px) repeat(3, minmax(40px, 90px)) minmax(50px, 90px);
}
.roulette-calculator--strategy .bets--result-per-spin .bets__list,
.roulette-calculator--martingale .bets--result-per-spin .bets__list {
  counter-reset: results-counter;
}
.roulette-calculator--strategy .bets--result-per-spin .bets__list-item,
.roulette-calculator--martingale .bets--result-per-spin .bets__list-item {
  counter-increment: results-counter;
  justify-items: center;
}
.roulette-calculator--strategy .bets--result-per-spin .bets__list-item .spin::before,
.roulette-calculator--martingale .bets--result-per-spin .bets__list-item .spin::before {
  content: counter(results-counter);
}
.roulette-calculator--strategy .bets--result-per-spin .bets__preloader.rotate,
.roulette-calculator--martingale .bets--result-per-spin .bets__preloader.rotate {
  font-size: 0;
}
.roulette-calculator--strategy .bets--result-per-spin .bets__preloader.rotate img,
.roulette-calculator--martingale .bets--result-per-spin .bets__preloader.rotate img {
  animation: rotate 2s cubic-bezier(0.25, 0.1, 0.25, 1) infinite;
}
@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.roulette-calculator--strategy .bets--your-tests:has(.bets__list-item) .bets__head,
.roulette-calculator--martingale .bets--your-tests:has(.bets__list-item) .bets__head {
  grid-template-columns: minmax(48px, 93px) minmax(45px, 90px) minmax(50px, 90px) minmax(45px, 90px) 24px;
}
.roulette-calculator--strategy .bets--your-tests .bets__head,
.roulette-calculator--martingale .bets--your-tests .bets__head {
  grid-template-columns: minmax(48px, 93px) minmax(45px, 90px) minmax(50px, 90px) minmax(45px, 90px);
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item,
.roulette-calculator--martingale .bets--your-tests .bets__list-item {
  grid-template-columns: minmax(48px, 93px) minmax(45px, 90px) minmax(50px, 90px) minmax(45px, 90px) 24px;
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item.expanded .play-test,
.roulette-calculator--martingale .bets--your-tests .bets__list-item.expanded .play-test {
  border-color: #B4CA09;
  color: #B4CA09;
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item.expanded .play-test img,
.roulette-calculator--martingale .bets--your-tests .bets__list-item.expanded .play-test img {
  filter: brightness(0) invert(84%) sepia(20%) saturate(5394%) hue-rotate(18deg) brightness(96%) contrast(93%);
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item.expanded .arrow-down,
.roulette-calculator--martingale .bets--your-tests .bets__list-item.expanded .arrow-down {
  transform: rotate(180deg);
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item.expanded .placed-bets,
.roulette-calculator--martingale .bets--your-tests .bets__list-item.expanded .placed-bets {
  margin-top: 12px;
  grid-template-rows: 1fr;
  opacity: 1;
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test,
.roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test {
  cursor: pointer;
  outline: none;
  border-radius: 6px;
  border: 1px solid #859C2E;
  background: #F9FAFA;
  padding: 3.5px 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  font-family: inherit;
  color: #859C2E;
  font-weight: 600;
  transition: border-color 0.2s ease-in-out, color 0.2s ease-in-out, background 0.2s ease-in-out;
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test img,
.roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test img {
  transition: filter 0.2s ease-in-out;
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test.active,
.roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test.active {
  border-color: #B4CA09;
  color: #B4CA09;
  background: #F3F3F3;
  pointer-events: none;
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test.active img,
.roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test.active img {
  filter: brightness(0) invert(84%) sepia(20%) saturate(5394%) hue-rotate(18deg) brightness(96%) contrast(93%);
}
@media (any-hover: hover) {
  .roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test:hover,
  .roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test:hover {
    border-color: #B4CA09;
    color: #B4CA09;
    background: #F3F3F3;
  }
  .roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test:hover img,
  .roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test:hover img {
    filter: brightness(0) invert(84%) sepia(20%) saturate(5394%) hue-rotate(18deg) brightness(96%) contrast(93%);
  }
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item .arrow-down,
.roulette-calculator--martingale .bets--your-tests .bets__list-item .arrow-down {
  cursor: pointer;
  padding: 5px;
  margin: 0 auto;
  transition: transform 0.2s ease-in-out;
}
.roulette-calculator--strategy .bets--your-tests .bets__list-item .placed-bets,
.roulette-calculator--martingale .bets--your-tests .bets__list-item .placed-bets {
  grid-column: 1/-1;
  display: grid;
  grid-template-rows: 0fr;
  opacity: 0;
  transition: grid-template-rows 0.2s ease-in-out, opacity 0.2s ease-in-out;
}

@media screen and (max-width: 767px) {
  .roulette-calculator--strategy .roulette-calculator-form__setting label,
  .roulette-calculator--martingale .roulette-calculator-form__setting label {
    display: flex;
  }
  .roulette-calculator--strategy .roulette-calculator-form__test,
  .roulette-calculator--martingale .roulette-calculator-form__test {
    width: min(244px, 100%);
    height: 43px;
    margin-top: -4px;
    font-size: 16px;
  }
  .roulette-calculator--strategy .roulette-calculator-form__error,
  .roulette-calculator--martingale .roulette-calculator-form__error {
    margin-top: -4px;
  }
  .roulette-calculator--strategy .roulette-calculator-form__balance-trend-fieldset,
  .roulette-calculator--martingale .roulette-calculator-form__balance-trend-fieldset {
    display: contents;
  }
  .roulette-calculator--strategy .roulette-calculator-form__balance-trend-fieldset label,
  .roulette-calculator--martingale .roulette-calculator-form__balance-trend-fieldset label {
    overflow: hidden;
  }
  .roulette-calculator--strategy .roulette-calculator-form__balance-trend,
  .roulette-calculator--martingale .roulette-calculator-form__balance-trend {
    margin-bottom: 8px;
    height: 340px;
    overflow-x: auto;
    overflow-y: hidden;
    scrollbar-width: none;
  }
  .roulette-calculator--strategy .roulette-calculator-form__balance-trend::-webkit-scrollbar,
  .roulette-calculator--martingale .roulette-calculator-form__balance-trend::-webkit-scrollbar {
    display: none;
  }
  .roulette-calculator--strategy .roulette-calculator-form__balance-trend #balance-trend,
  .roulette-calculator--martingale .roulette-calculator-form__balance-trend #balance-trend {
    min-width: 500px;
  }
  .roulette-calculator--strategy .roulette-calculator-form__balance-trend em,
  .roulette-calculator--martingale .roulette-calculator-form__balance-trend em {
    display: inline-block;
  }
  .roulette-calculator--strategy .bet-select,
  .roulette-calculator--martingale .bet-select {
    margin-bottom: 0;
  }
  .roulette-calculator--strategy .summary,
  .roulette-calculator--martingale .summary {
    margin-top: 8px;
  }
  .roulette-calculator--strategy .summary label > span,
  .roulette-calculator--martingale .summary label > span {
    font-size: 12px;
  }
  .roulette-calculator--strategy .summary label strong,
  .roulette-calculator--martingale .summary label strong {
    font-size: 14px;
  }
  .roulette-calculator--strategy .summary label:has(strong:nth-child(2)) strong,
  .roulette-calculator--martingale .summary label:has(strong:nth-child(2)) strong {
    min-width: 52px;
  }
  .roulette-calculator--strategy .coverage,
  .roulette-calculator--martingale .coverage {
    margin-bottom: 8px;
  }
  .roulette-calculator--strategy .bets--result-per-spin .bets__head,
  .roulette-calculator--strategy .bets--result-per-spin .bets__list-item,
  .roulette-calculator--martingale .bets--result-per-spin .bets__head,
  .roulette-calculator--martingale .bets--result-per-spin .bets__list-item {
    grid-template-columns: 40px 44px repeat(3, minmax(40px, 90px)) 50px;
  }
  .roulette-calculator--strategy .bets--result-per-spin .bets__wrap,
  .roulette-calculator--martingale .bets--result-per-spin .bets__wrap {
    height: 310px;
  }
  .roulette-calculator--strategy .bets--result-per-spin .bets__list-item,
  .roulette-calculator--martingale .bets--result-per-spin .bets__list-item {
    font-size: 12px;
  }
  .roulette-calculator--strategy .bets--your-tests:has(.bets__list-item) .bets__head,
  .roulette-calculator--martingale .bets--your-tests:has(.bets__list-item) .bets__head {
    grid-template-columns: 48px minmax(45px, 60px) minmax(50px, 60px) 45px 20px;
  }
  .roulette-calculator--strategy .bets--your-tests .bets__head,
  .roulette-calculator--martingale .bets--your-tests .bets__head {
    grid-template-columns: 48px minmax(45px, 60px) minmax(50px, 60px) 45px;
  }
  .roulette-calculator--strategy .bets--your-tests .bets__wrap,
  .roulette-calculator--martingale .bets--your-tests .bets__wrap {
    height: 310px;
  }
  .roulette-calculator--strategy .bets--your-tests .bets__list-item,
  .roulette-calculator--martingale .bets--your-tests .bets__list-item {
    grid-template-columns: 48px minmax(45px, 60px) minmax(50px, 60px) 45px 20px;
  }
  .roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test,
  .roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test {
    padding: 1px 4px;
    font-size: 12px;
  }
  .roulette-calculator--strategy .bets--your-tests .bets__list-item .play-test img,
  .roulette-calculator--martingale .bets--your-tests .bets__list-item .play-test img {
    width: 8px;
    height: 10px;
  }
  .roulette-calculator--strategy .bets--your-tests .bets__list-item .arrow-down,
  .roulette-calculator--martingale .bets--your-tests .bets__list-item .arrow-down {
    width: 20px;
    height: 20px;
  }
}